/**********************************************************************
Copyright (c) 2002 Mike Martin (TJDO) and others. All rights reserved. 
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 

Contributors:
2003 Andy Jefferson - commented
    ...
**********************************************************************/
package org.jpox.sco.exceptions;

import org.jpox.StateManager;

/**
 * A <tt>IncompatibleKeyTypeException</tt> is thrown if an incompatible key
 * type is specified in the construction of a second-class Map instance.
 *
 * @version $Revision: 1.2 $
 */
public class IncompatibleKeyTypeException extends IncompatibleTypeException
{
    /**
     * Constructs an incompatible key type exception.
     *
     * @param ownerSM The StateManager of the object owning the SCO field.
     * @param fieldName The name of the SCO field.
     * @param requiredTypeName Name of required type of the key.
     * @param requestedTypeName Name of requested type of the key.
     */
    public IncompatibleKeyTypeException(StateManager ownerSM,
                                        String fieldName,
                                        String requiredTypeName,
                                        String requestedTypeName)
    {
        super(ownerSM,fieldName,"key",requiredTypeName,requestedTypeName);
    }
}
