/**********************************************************************
Copyright (c) 2005 Erik Bengtson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    ...
**********************************************************************/
package org.jpox.store;


/**
 * Representation of an datastore object in any datastore. This can be something
 * like a table, column, file, etc.
 * @version $Revision: 1.4 $
 */
public interface DatastoreObject
{
    /**
     * Accessor for the StoreManager for this table.
     * @return The StoreManager.
     **/
    StoreManager getStoreManager();
    
    /**
     * Accessor for the identifier for this object.
     * @return The identifier.
     **/
    DatastoreIdentifier getIdentifier();    
}