/**********************************************************************
Copyright (c) 2003 Andy Jefferson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Contributors:
    ...
**********************************************************************/
package org.jpox.store.expression;

import java.sql.Time;

import org.jpox.store.mapping.JavaTypeMapping;

/**
 * Representation of an SQLTime literal in a Query.
 *
 * @version $Revision: 1.5 $
 **/
public class SqlTimeLiteral extends SqlTemporalExpression implements Literal
{
    private final Time value;

    /**
     * Creates a java.sql.Time literal
     * @param qs the QueryExpression
     * @param mapping the mapping
     * @param value the java.sql.Time value
     */    
    public SqlTimeLiteral(QueryExpression qs, JavaTypeMapping mapping, Time value)
    {
        super(qs);

        this.value = value;
        st.appendParameter(mapping, value);
    }

    public String toString()
    {
        return super.toString() + " = " + value.toString();
    }

    public Object getValue()
    {
        return value;
    }
}