/**********************************************************************
Copyright (c) 2005 Erik Bengtson and others. All rights reserved. 
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License. 
 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.query;

import java.util.Collection;

/**
 * Lazy collection results from a Query.
 * The actual result elements are only loaded when accessed.
 *
 * @version $Revision: 1.12 $ 
 */
public interface QueryResult extends Queryable, Collection
{
    /**
     * Method to close the results.
     */
    void close();

    /**
     * Inform the result that we are closing the connection so it can perform
     * any necessary reads now.
     */
    void closingConnection();
}