/**********************************************************************
Copyright (c) 2005 Erik Bengtson and others. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
 

Contributors:
    ...
**********************************************************************/
package org.jpox.store.rdbms.typeinfo;

import java.sql.ResultSet;

/**
 * Represents the metadata of an Oracle data type.
 *
 * @version $Revision: 1.3 $
 */
public class OracleTypeInfo extends TypeInfo
{
    /** internally defined number for SDO_GEOMETRY types **/
    public static final int TYPES_SDO_GEOMETRY = -123;

    /** XMLType type - _SQL_TYPECODE **/
    public static final int TYPES_SYS_XMLTYPE = 2007;

    /** XMLType type - _SQL_NAME **/
    public static final String TYPES_NAME_SYS_XMLTYPE = "SYS.XMLTYPE";
    
    /**
     * Constructs a type information object from the current row of the given
     * result set.  The {@link ResultSet} object passed must have been obtained
     * from a call to DatabaseMetaData.getTypeInfo().
     *
     * <p>This method only retrieves the values from the current row; the caller
     * is required to advance to the next row with {@link ResultSet#next}.
     *
     * @param rs The result set returned from DatabaseMetaData.getTypeInfo().
     */
    public OracleTypeInfo(ResultSet rs)
    {
        super(rs);
    }
}
